import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_42d2f10d461ddfd147c4ecfb6a641b98d88f0c16 {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAADdwQAAAADdABkLWZTU1NTU2RTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU1NTU0lJQElJLlNTU1NTU1NTU1NTU1NTU1NmZmZmU1NTU1NTU1NTU1NTU1NTU3QABFNTU1N0AA1TU1NJSUBJSS5TU1NTeA==");

    public static void main(String[] args) throws Throwable {
        Crash_42d2f10d461ddfd147c4ecfb6a641b98d88f0c16.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        UserRegistrationFuzzTest.fuzzerTestOneInput(input);
    }
}